File: README.packages

package info (click to toggle)
gretl 2016d-1
  • links: PTS
  • area: main
  • in suites: stretch
  • size: 48,620 kB
  • ctags: 22,779
  • sloc: ansic: 345,830; sh: 4,648; makefile: 2,712; xml: 570; perl: 364
file content (73 lines) | stat: -rw-r--r-- 2,460 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
This file aims to ease finding the required packages as mentioned 
in the gretl dependencies file (http://gretl.sourceforge.net/depend.html) 
for different Linux distributions. Please consult the Appendix C2 of 
Gretl's User Guide for detailed information.

Each entry is the appropriate shell command to obtain the packages 
needed for building libgretl, gretlcli and gretl_x11.

It is organized by Linux distribution and expects your contributions 
to validate and expand to new distributions.

Helio Guilherme, 23 September 2011 
-----
OpenSUSE 13.1           (contrib. 2014-01-15)
# dependencies
sudo zypper install cvs gcc make
 
sudo zypper install  gmp-devel mpfr-devel fftw3-devel lapack-devel \
gnuplot libxml2-devel curl-devel readline-devel gtk3-devel gtksourceview-devel

# documentation build (optional) - WARNING ~= 1GB in disk
sudo zypper install texlive libxslt-devel texlive-appendix 

CentOS 6.4              (contrib. 2013-11-27)

# dependencies
sudo yum install gmp-devel mpfr-devel fftw3-devel lapack-devel \
gnuplot libxml2-devel curl-devel readline-devel gtksourceview2-devel

# documentation build (optional)
sudo yum install texlive libxslt-devel texlive-latex

Fedora 19              (contrib. 2013-11-23)
# dependencies
sudo yum install gcc gmp-devel mpfr-devel fftw3-devel lapack-devel \
gnuplot libxml2-devel curl-devel readline-devel gtksourceview3-devel

#optional (did not work)
sudo yum install libgsf-devel

#optional (1.9.91 contrib. 2014-05-15)
sudo yum install json-glib-devel

# documentation build (optional)
sudo yum install texlive libxslt-devel texlive-appendix 
# language dependency for example
texlive-babel-portuges

Linux Mint 12          (contrib. 2012-02-26)
Ubuntu oneiric (11.10) (contrib. 2012-06-10, helio_guilherme@hotmail.com)
# dependencies
sudo apt-get install gnuplot libfftw3-dev liblapack-dev gfortran libxml2 \
 zlib1g-dev libreadline-gplv2-dev libgtksourceview2.0-dev libgmp3-dev curl \
 libcurl4-gnutls-dev

# documentation build (optional)

Ubuntu Precise (12.04) LTS (contrib. 2014-05-28)
#optional (1.9.91 contrib. 2014-05-28)
sudo apt-get install libjson-glib-dev

Ubuntu natty (11.04) (contrib. 2011-09-23, helio_guilherme@hotmail.com)
# dependencies
sudo apt-get install gnuplot libfftw3-dev liblapack-dev gfortran libxml2 \
 zlib1g-dev libreadline5-dev libgtksourceview2.0-dev libgmp3-dev

# documentation build (optional)
sudo apt-get install texlive texlive-latex-extra libxslt1-dev